import { Breakpoint, InitArguments, Variables, Location, Stackframe, Trace } from "./types";
export declare class Debugger {
    private static _instance;
    private truffle_debugger;
    private readonly sectionPrintouts;
    private constructor();
    initialized: boolean;
    static get Instance(): Debugger;
    initialize(init_arguments: InitArguments): Promise<void>;
    reset(): Promise<void>;
    stepOver(): Promise<void>;
    stepInto(): Promise<void>;
    stepOut(): Promise<void>;
    stepNext(): Promise<void>;
    advance(steps?: number): Promise<void>;
    continueUntilBreakpoint(): Promise<void>;
    addBreakpoint(breakpoint: Breakpoint): Promise<void>;
    removeBreakpoint(breakpoint: Breakpoint): Promise<void>;
    removeAllBreakpoints(): Promise<void>;
    runToEnd(): Promise<void>;
    variables(): Promise<Variables>;
    stackTrace(): Stackframe[];
    currentLocation(): Location | undefined;
    currentStep(): any;
    terminate(): Promise<void>;
    getCallTrace(): Promise<Trace[] | undefined>;
    evalExpression(expression: string): Promise<any>;
    get session(): any;
    private safelyEvaluateWithSelectors;
    private determinBreakPoint;
    private getInputs;
}
